{
  lib,
  pkgs,
  config,
  ...
}:
with lib;
let
  cfg = config.nas-apps.orca-slicer;
in
{
  imports = [ ./options.nix ];

  config = mkIf cfg.enable {
    virtualisation.oci-containers.containers."${cfg.name}" = {
      autoStart = cfg.autoStart;
      image = cfg.image;
      ports = [
        "${cfg.httpPort}:3000"
        "${cfg.httpsPort}:3001"
      ];
      volumes = [ "${cfg.configPath}:/config" ];
      environment = {
        PUID = cfg.puid;
        PGID = cfg.pgid;
        TZ = cfg.timeZone;
      };
    };
  };
}
